diff -up sos-2.2/sos-2.2/sos/helpers.py.orig sos-2.2/sos/helpers.py
--- sos-2.2/sos/helpers.py.orig 2012-10-15 20:54:48.656522053 +0100
+++ sos-2.2/sos/helpers.py      2012-10-15 21:05:07.138113641 +0100
@@ -41,16 +41,15 @@ def importPlugin(pluginname, name):
 def sosGetCommandOutput(command, timeout = 300):
     """ Execute a command and gather stdin, stdout, and return status.
     """
-    # soslog = logging.getLogger('sos')
-    # Log if binary is not runnable or does not exist
     for path in os.environ["PATH"].split(":"):
+        exists = False
         cmdfile = command.strip("(").split()[0]
         # handle both absolute or relative paths
         if ( ( not os.path.isabs(cmdfile) and os.access(os.path.join(path,cmdfile), os.X_OK) ) or \
            ( os.path.isabs(cmdfile) and os.access(cmdfile, os.X_OK) ) ):
+            exists = True
             break
-    else:
-        # soslog.log(logging.VERBOSE, "binary '%s' does not exist or is not runnable" % cmdfile)
+    if not exists:
         return (127, "", 0)
 
     p = Popen(command, shell=True, stdout=PIPE, stderr=STDOUT, bufsize=-1)
diff -up sos-2.2/sos/plugintools.py.orig sos-2.2/sos/plugintools.py
--- sos-2.2/sos/plugintools.py.orig     2012-10-15 20:56:08.962202150 +0100
+++ sos-2.2/sos/plugintools.py  2012-10-15 21:09:36.427114203 +0100
@@ -322,6 +322,8 @@ class PluginBase:
         """
         # pylint: disable-msg = W0612
         status, shout, runtime = sosGetCommandOutput(prog)
+        if (status == 127):
+           self.soslog.info("could not run '%s'" % prog) 
         return (status, shout, runtime)
 
     def collectExtOutput(self, exe, suggest_filename = None, symlink = None, timeout = 300):
